Upgrade to Xerces 2.11 ?

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Upgrade to Xerces 2.11 ?

Alessio Soldano
Folks,
is there a specific reason for WildFly to consume (a patched version of)
Xerces 2.9.1 and not move to the latest release (2.11.0) ? Release notes
at http://xerces.apache.org/xerces2-j/releases.html .
Cheers
Alessio

--
Alessio Soldano
Web Service Lead, JBoss

_______________________________________________
wildfly-dev mailing list
[hidden email]
https://lists.jboss.org/mailman/listinfo/wildfly-dev
Reply | Threaded
Open this post in threaded view
|

Re: Upgrade to Xerces 2.11 ?

Tomaž Cerar-2
Yes there is a reason for it, unpatched xerses has problems in modular classloader environment.

see https://github.com/jboss/xerces/commits/Xerces-J_2_9_1_jbossas for our changes here.

Maybe new version of xerses includes fixes for what we already have but if they don't,
we should just take their code and apply our fixes on top of it and release our patched version of 2.11.

If you are up for it, check our changes and see if how stuff is now done in upstream.



On Thu, Aug 7, 2014 at 11:29 PM, Alessio Soldano <[hidden email]> wrote:
Folks,
is there a specific reason for WildFly to consume (a patched version of)
Xerces 2.9.1 and not move to the latest release (2.11.0) ? Release notes
at http://xerces.apache.org/xerces2-j/releases.html .
Cheers
Alessio

--
Alessio Soldano
Web Service Lead, JBoss

_______________________________________________
wildfly-dev mailing list
[hidden email]
https://lists.jboss.org/mailman/listinfo/wildfly-dev


_______________________________________________
wildfly-dev mailing list
[hidden email]
https://lists.jboss.org/mailman/listinfo/wildfly-dev